### Home Classes Methods

### In Files

- c/Main.rb

### Parent

Object

### Methods

- ::new
- #destructionMenu
- #histo
- #newVerifDossier
- #newVerifFile

### Class/Module Index

Quicksearch

- CtrlCheckLinks
- CtrlHistoLink
- Menu
- ReadFile
- Vue1
- VueHisto
- VueMenu
- VueResult

No matching classes.

# Menu

Controleur du menu principal de l’application

### Public Class Methods

new() click to toggle source

Controleur du menu d'acceuil VueMenu

    # File c/Main.rb, line 19
    def initialize
            @v = VueMenu.new(self,"Menu")
            @v.getWindow.show_all # affichage
        Gtk.main
    end

### Public Instance Methods

histo() click to toggle source

Acces au controleur CtrlHistoLink

    # File c/Main.rb, line 26
    def histo
            @v.getWindow.hide_all #cache le menu
            c = CtrlHistoLink.new
            urls = c.saisie
            @v.getWindow.show_all #reaffiche le menu
    end

newVerifDossier() click to toggle source

Acces au controleur vérification d’un dossier CtrlCheckLinks

    # File c/Main.rb, line 42
    def newVerifDossier
            @v.getWindow.hide_all #cache le menu
            c = CtrlCheckLinks.new
            urls = c.saisie(0, 'Saisie nom dossier')
            @v.getWindow.show_all #reaffiche le menu
    end

newVerifFile() click to toggle source

Acces au controleur vérification d’un fichier CtrlCheckLinks

    # File c/Main.rb, line 34
    def newVerifFile
            @v.getWindow.hide_all #cache le menu
            c = CtrlCheckLinks.new
            urls = c.saisie(1, 'Saisie nom fichier')
            @v.getWindow.show_all #reaffiche le menu
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.